use bevy::prelude::*;
use bevy_rapier2d::prelude::*;

mod game {
    use bevy::prelude::*;
    use bevy_rapier2d::prelude::*;

    mod player {
        use bevy::prelude::*;
        use bevy_rapier2d::prelude::*;
        #[derive(Component)]
        struct Player;
    }

    fn game_plugin(app: &mut App) {}
}

const METER: f32 = 120.;

enum AppState {
    MainMenu,
    InGame,
    GameOver,
}

enum PausedState {
    Paused,
    Running,
}

fn main() {
    App::new()
        .add_plugins(DefaultPlugins)
        .add_plugins(RapierPhysicsPlugin::<NoUserData>::pixels_per_meter(METER))
        .run();
}
